---
- name: Download and install Windows updates
  ansible.windows.win_updates:
    accept_list: "{{ item['accept_list'] | default(omit) }}"
    category_names: >
      {{ item['category_names']
      | default(['CriticalUpdates', 'SecurityUpdates', 'UpdateRollups']) }}
    log_path: "{{ item['log_path'] | default(omit) }}"
    reboot: "{{ item['reboot'] | default(False) }}"
    reboot_timeout: "{{ item['reboot_timeout'] | default(1200) }}"
    reject_list: "{{ item['reject_list'] | default(omit) }}"
    server_selection: "{{ item['server_selection'] | default('default') }}"
    skip_optional: "{{ item['skip_optional'] | default(False) }}"
    state: "{{ item['state'] | default('installed') }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: >
      {{ item['category_names']
      | default(['CriticalUpdates', 'SecurityUpdates', 'UpdateRollups']) }}
      → {{ item['state'] | default('installed') }}
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_updates
